#!/bin/sh

. /etc/server_env.sh
#echo "JLINK_BATCH_ENVIRONMENT: $JLINK_BATCH_ENVIRONMENT"
#echo "ACT_SERVER_ENV: $ACT_SERVER_ENV"

# for running like 
BATCH_HOME=/dw/db2/apol-recruitfeed
#BATCH_HOME=/home/drlittle/tmp/apol-recruitfeed
#BATCH_HOME=/home/apcprod/tmp/apol-recruitfeed
LIB_DIR=$BATCH_HOME/control/lib
CONFIG_DIR=$BATCH_HOME/control/db
LOGS_DIR=$BATCH_HOME/msgs
EXTRACTS_DIR=$BATCH_HOME/extracts
#echo "Control Directory: $BATCH_HOME/control"

#
# Run Java program: edu.ucsd.act.apolrecruitfeed.Main
# This program will
# - extract and generate these files with timestamps:
#   - schools.csv
#   - departments.csv
#   - users.csv
#   - demographics.csv
# - scp the files to the UCRecruit (UCI) training, qa, and production servers
# - log results to log files
# - delete old extract files outside the retention period
# - delete old log files outside the retention period
#

CLASSPATH=
for jarfile in $LIB_DIR/*.jar
do
   CLASSPATH=$CLASSPATH$jarfile:
done
CLASSPATH=$CLASSPATH$BATCH_HOME/control/db
#echo "Classpath: $CLASSPATH"

# run java program
#echo "Starting extract"
#/usr/java1.6/bin/java \
/usr/bin/java \
-cp $CLASSPATH \
-Dbatch.env=$ACT_SERVER_ENV \
-Dconfig.dir=$CONFIG_DIR \
-Dlogback.configurationFile=$CONFIG_DIR/logback.xml \
-Dlogging.dir=$LOGS_DIR \
-Dextracts.dir=$EXTRACTS_DIR \
edu.ucsd.act.apolrecruitfeed.Main \
#echo "Extract finished"

exit $?
 