package edu.ucsd.act.apolrecruitfeed;

import static org.junit.Assert.assertEquals;

import org.junit.BeforeClass;
import org.junit.Test;

import edu.ucsd.act.apolrecruitfeed.CodeTranslator;

public class CodeTranslatorTest {
    
    private static CodeTranslator codeTrans;

    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
        codeTrans = new CodeTranslator();
    }

//    @Test
    public void testTranslateEthnicity() {
        assertEquals("african", codeTrans.translateEthnicity("A"));
        assertEquals("african", codeTrans.translateEthnicity("a"));
        assertEquals("asian", codeTrans.translateEthnicity("2"));
        assertEquals("asian", codeTrans.translateEthnicity("B"));
        assertEquals("asian", codeTrans.translateEthnicity("b"));
        assertEquals("asian", codeTrans.translateEthnicity("L"));
        assertEquals("asian", codeTrans.translateEthnicity("l"));
        assertEquals("asian", codeTrans.translateEthnicity("M"));
        assertEquals("asian", codeTrans.translateEthnicity("m"));
        assertEquals("asian", codeTrans.translateEthnicity("R"));
        assertEquals("asian", codeTrans.translateEthnicity("r"));
        assertEquals("asian", codeTrans.translateEthnicity("X"));
        assertEquals("asian", codeTrans.translateEthnicity("x"));
        assertEquals("asian", codeTrans.translateEthnicity("Y"));
        assertEquals("asian", codeTrans.translateEthnicity("y"));
        assertEquals("latino", codeTrans.translateEthnicity("5"));
        assertEquals("latino", codeTrans.translateEthnicity("E"));
        assertEquals("latino", codeTrans.translateEthnicity("e"));
        assertEquals("latino", codeTrans.translateEthnicity("W"));
        assertEquals("latino", codeTrans.translateEthnicity("w"));
        assertEquals("native_american", codeTrans.translateEthnicity("C"));
        assertEquals("native_american", codeTrans.translateEthnicity("c"));
        assertEquals("white", codeTrans.translateEthnicity("F"));
        assertEquals("white", codeTrans.translateEthnicity("f"));
        assertEquals("ethnicity_unknown", codeTrans.translateEthnicity("D"));
        assertEquals("ethnicity_unknown", codeTrans.translateEthnicity("d"));
        assertEquals("ethnicity_unknown", codeTrans.translateEthnicity("U"));
        assertEquals("ethnicity_unknown", codeTrans.translateEthnicity("u"));
        assertEquals("ethnicity_unknown", codeTrans.translateEthnicity(null));
        assertEquals("ethnicity_unknown", codeTrans.translateEthnicity(""));
        assertEquals("ethnicity_unknown", codeTrans.translateEthnicity(" "));
        assertEquals("ethnicity_unknown", codeTrans.translateEthnicity("Q"));
    }

//    @Test
    public void testTranslateGender() {
        assertEquals("female", codeTrans.translateGender("F"));
        assertEquals("female", codeTrans.translateGender("f"));
        assertEquals("male", codeTrans.translateGender("M"));
        assertEquals("male", codeTrans.translateGender("m"));
        assertEquals("gender_unknown", codeTrans.translateGender(null));
        assertEquals("gender_unknown", codeTrans.translateGender(""));
        assertEquals("gender_unknown", codeTrans.translateGender(" "));
        assertEquals("gender_unknown", codeTrans.translateGender("X"));
    }

}
