package edu.ucsd.act.apolrecruitfeed;

import static org.junit.Assert.assertEquals;

import java.util.List;

import org.junit.Test;

import edu.ucsd.act.apolrecruitfeed.Main;

public class MainTest {
    
//    @Rule
//    public ExpectedException exception = ExpectedException.none();

    @Test
    public void testQuote() {
        assertEquals("\"a\"", Main.quote("a"));
        assertEquals("\"abc\"", Main.quote("abc"));
        assertEquals("", Main.quote(null));
        assertEquals("", Main.quote(""));
        assertEquals("", Main.quote(" "));
        assertEquals("\"a\"", Main.quote(" a"));
        assertEquals("\"a\"", Main.quote("a "));
        assertEquals("\"a\"", Main.quote(" a "));
    }

    @Test
    public void testconvertDelimitedString() {
        List<String> elements = Main.convertDelimitedString(
                "schools, departments, users, demographics", ",");
        assertEquals(4, elements.size());
        assertEquals("schools", elements.get(0));
        assertEquals("departments", elements.get(1));
        assertEquals("users", elements.get(2));
        assertEquals("demographics", elements.get(3));
        
        elements = Main.convertDelimitedString(
                "schools, departments, demographics", ",");
        assertEquals(3, elements.size());
        assertEquals("schools", elements.get(0));
        assertEquals("departments", elements.get(1));
        assertEquals("demographics", elements.get(2));
        
        elements = Main.convertDelimitedString(
                "qa", ",");
        assertEquals(1, elements.size());
        assertEquals("qa", elements.get(0));
        
        elements = Main.convertDelimitedString("", ",");
        assertEquals(0, elements.size());
    }

}
